# Method: projects.locations.sources.migratingVms.cloneJobs.list

- [HTTP request](https://docs.cloud.google.com/migrate/virtual-machines/docs/5.0/reference/rest/v1alpha1/projects.locations.sources.migratingVms.cloneJobs/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/migrate/virtual-machines/docs/5.0/reference/rest/v1alpha1/projects.locations.sources.migratingVms.cloneJobs/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/migrate/virtual-machines/docs/5.0/reference/rest/v1alpha1/projects.locations.sources.migratingVms.cloneJobs/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/migrate/virtual-machines/docs/5.0/reference/rest/v1alpha1/projects.locations.sources.migratingVms.cloneJobs/list#body.request_body)
- [Response body](https://docs.cloud.google.com/migrate/virtual-machines/docs/5.0/reference/rest/v1alpha1/projects.locations.sources.migratingVms.cloneJobs/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/migrate/virtual-machines/docs/5.0/reference/rest/v1alpha1/projects.locations.sources.migratingVms.cloneJobs/list#body.ListCloneJobsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/migrate/virtual-machines/docs/5.0/reference/rest/v1alpha1/projects.locations.sources.migratingVms.cloneJobs/list#body.aspect)

Lists the CloneJobs of a migrating VM. Only 25 most recent CloneJobs are listed.

### HTTP request

`GET https://vmmigration.googleapis.com/v1alpha1/{parent=projects/*/locations/*/sources/*/migratingVms/*}/cloneJobs`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of source VMs. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `vmmigration.cloneJobs.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of clone jobs to return. The service may return fewer than this value. If unspecified, at most 500 clone jobs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Required. A page token, received from a previous `cloneJobs.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `cloneJobs.list` must match the call that provided the page token. |
| `filter` | `string` Optional. The filter request. |
| `orderBy` | `string` Optional. the order by fields for the result. |

### Request body

The request body must be empty.

### Response body

Response message for 'cloneJobs.list' request.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "cloneJobs": [ { object (`https://docs.cloud.google.com/migrate/virtual-machines/docs/5.0/reference/rest/v1alpha1/projects.locations.sources.migratingVms.cloneJobs#CloneJob`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `cloneJobs[]` | ``object (`https://docs.cloud.google.com/migrate/virtual-machines/docs/5.0/reference/rest/v1alpha1/projects.locations.sources.migratingVms.cloneJobs#CloneJob`)`` Output only. The list of clone jobs response. |
| `nextPageToken` | `string` Output only. A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `unreachable[]` | `string` Output only. Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).